GLM: man.doxy Source File

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

- File List

man.doxy
1 # Doxyfile 1.8.5
2
3 # This file describes the settings to be used by the documentation system
4 # doxygen (www.doxygen.org) for a project.
5 #
6 # All text after a double hash (##) is considered a comment and is placed in
7 # front of the TAG it is preceding.
8 #
9 # All text after a single hash (#) is considered a comment and will be ignored.
10 # The format is:
11 # TAG = value [value, ...]
12 # For lists, items can also be appended using:
13 # TAG += value [value, ...]
14 # Values that contain spaces should be placed between quotes (\" \").
15
16 #---------------------------------------------------------------------------
17 # Project related configuration options
18 #---------------------------------------------------------------------------
19
20 # This tag specifies the encoding used for all characters in the config file
21 # that follow. The default is UTF-8 which is also the encoding used for all text
22 # before the first occurrence of this tag. Doxygen uses libiconv (or the iconv
23 # built into libc) for the transcoding. See http://www.gnu.org/software/libiconv
24 # for the list of possible encodings.
25 # The default value is: UTF-8.
26
27 DOXYFILE_ENCODING = UTF-8
28
29 # The PROJECT_NAME tag is a single word (or a sequence of words surrounded by
30 # double-quotes, unless you are using Doxywizard) that should identify the
31 # project for which the documentation is generated. This name is used in the
32 # title of most generated pages and in a few other places.
33 # The default value is: My Project.
34
35 PROJECT_NAME = GLM
36
37 # The PROJECT_NUMBER tag can be used to enter a project or revision number. This
38 # could be handy for archiving the generated documentation or if some version
39 # control system is used.
40
41 PROJECT_NUMBER = 0.9.5
42
43 # Using the PROJECT_BRIEF tag one can provide an optional one line description
44 # for a project that appears at the top of each page and should give viewer a
45 # quick idea about the purpose of the project. Keep the description short.
46
47 PROJECT_BRIEF =
48
49 # With the PROJECT_LOGO tag one can specify an logo or icon that is included in
50 # the documentation. The maximum height of the logo should not exceed 55 pixels
51 # and the maximum width should not exceed 200 pixels. Doxygen will copy the logo
52 # to the output directory.
53
54 PROJECT_LOGO = G:/Repository/glm/doc/logo.png
55
56 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) path
57 # into which the generated documentation will be written. If a relative path is
58 # entered, it will be relative to the location where doxygen was started. If
59 # left blank the current directory will be used.
60
61 OUTPUT_DIRECTORY = .
62
63 # If the CREATE_SUBDIRS tag is set to YES, then doxygen will create 4096 sub-
64 # directories (in 2 levels) under the output directory of each output format and
65 # will distribute the generated files over these directories. Enabling this
66 # option can be useful when feeding doxygen a huge amount of source files, where
67 # putting all generated files in the same directory would otherwise causes
68 # performance problems for the file system.
69 # The default value is: NO.
70
71 CREATE_SUBDIRS = NO
72
73 # The OUTPUT_LANGUAGE tag is used to specify the language in which all
74 # documentation generated by doxygen is written. Doxygen will use this
75 # information to generate all constant output in the proper language.
76 # Possible values are: Afrikaans, Arabic, Brazilian, Catalan, Chinese, Chinese-
77 # Traditional, Croatian, Czech, Danish, Dutch, English, Esperanto, Farsi,
78 # Finnish, French, German, Greek, Hungarian, Italian, Japanese, Japanese-en,
79 # Korean, Korean-en, Latvian, Norwegian, Macedonian, Persian, Polish,
80 # Portuguese, Romanian, Russian, Serbian, Slovak, Slovene, Spanish, Swedish,
81 # Turkish, Ukrainian and Vietnamese.
82 # The default value is: English.
83
84 OUTPUT_LANGUAGE = English
85
86 # If the BRIEF_MEMBER_DESC tag is set to YES doxygen will include brief member
87 # descriptions after the members that are listed in the file and class
88 # documentation (similar to Javadoc). Set to NO to disable this.
89 # The default value is: YES.
90
91 BRIEF_MEMBER_DESC = NO
92
93 # If the REPEAT_BRIEF tag is set to YES doxygen will prepend the brief
94 # description of a member or function before the detailed description
95 #
96 # Note: If both HIDE_UNDOC_MEMBERS and BRIEF_MEMBER_DESC are set to NO, the
97 # brief descriptions will be completely suppressed.
98 # The default value is: YES.
99
100 REPEAT_BRIEF = YES
101
102 # This tag implements a quasi-intelligent brief description abbreviator that is
103 # used to form the text in various listings. Each string in this list, if found
104 # as the leading text of the brief description, will be stripped from the text
105 # and the result, after processing the whole list, is used as the annotated
106 # text. Otherwise, the brief description is used as-is. If left blank, the
107 # following values are used ($name is automatically replaced with the name of
108 # the entity):The $name class, The $name widget, The $name file, is, provides,
109 # specifies, contains, represents, a, an and the.
110
111 ABBREVIATE_BRIEF = "The $name class " \
112 "The $name widget " \
113 "The $name file " \
114 is \
115 provides \
116 specifies \
117 contains \
118 represents \
119 a \
120 an \
121 the
122
123 # If the ALWAYS_DETAILED_SEC and REPEAT_BRIEF tags are both set to YES then
124 # doxygen will generate a detailed section even if there is only a brief
125 # description.
126 # The default value is: NO.
127
128 ALWAYS_DETAILED_SEC = NO
129
130 # If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all
131 # inherited members of a class in the documentation of that class as if those
132 # members were ordinary class members. Constructors, destructors and assignment
133 # operators of the base classes will not be shown.
134 # The default value is: NO.
135
136 INLINE_INHERITED_MEMB = NO
137
138 # If the FULL_PATH_NAMES tag is set to YES doxygen will prepend the full path
139 # before files name in the file list and in the header files. If set to NO the
140 # shortest path that makes the file name unique will be used
141 # The default value is: YES.
142
143 FULL_PATH_NAMES = NO
144
145 # The STRIP_FROM_PATH tag can be used to strip a user-defined part of the path.
146 # Stripping is only done if one of the specified strings matches the left-hand
147 # part of the path. The tag can be used to show relative paths in the file list.
148 # If left blank the directory from which doxygen is run is used as the path to
149 # strip.
150 #
151 # Note that you can specify absolute paths here, but also relative paths, which
152 # will be relative from the directory where doxygen is started.
153 # This tag requires that the tag FULL_PATH_NAMES is set to YES.
154
155 STRIP_FROM_PATH = "C:/Documents and Settings/Groove/ "
156
157 # The STRIP_FROM_INC_PATH tag can be used to strip a user-defined part of the
158 # path mentioned in the documentation of a class, which tells the reader which
159 # header file to include in order to use a class. If left blank only the name of
160 # the header file containing the class definition is used. Otherwise one should
161 # specify the list of include paths that are normally passed to the compiler
162 # using the -I flag.
163
164 STRIP_FROM_INC_PATH =
165
166 # If the SHORT_NAMES tag is set to YES, doxygen will generate much shorter (but
167 # less readable) file names. This can be useful is your file systems doesn't
168 # support long names like on DOS, Mac, or CD-ROM.
169 # The default value is: NO.
170
171 SHORT_NAMES = YES
172
173 # If the JAVADOC_AUTOBRIEF tag is set to YES then doxygen will interpret the
174 # first line (until the first dot) of a Javadoc-style comment as the brief
175 # description. If set to NO, the Javadoc-style will behave just like regular Qt-
176 # style comments (thus requiring an explicit @brief command for a brief
177 # description.)
178 # The default value is: NO.
179
180 JAVADOC_AUTOBRIEF = YES
181
182 # If the QT_AUTOBRIEF tag is set to YES then doxygen will interpret the first
183 # line (until the first dot) of a Qt-style comment as the brief description. If
184 # set to NO, the Qt-style will behave just like regular Qt-style comments (thus
185 # requiring an explicit \brief command for a brief description.)
186 # The default value is: NO.
187
188 QT_AUTOBRIEF = NO
189
190 # The MULTILINE_CPP_IS_BRIEF tag can be set to YES to make doxygen treat a
191 # multi-line C++ special comment block (i.e. a block of
192 # a brief description. This used to be the default behavior. The new default is
193 # to treat a multi-line C++ comment block as a detailed description. Set this
194 # tag to YES if you prefer the old behavior instead.
195 #
196 # Note that setting this tag to YES also means that rational rose comments are
197 # not recognized any more.
198 # The default value is: NO.
199
200 MULTILINE_CPP_IS_BRIEF = NO
201
202 # If the INHERIT_DOCS tag is set to YES then an undocumented member inherits the
203 # documentation from any documented member that it re-implements.
204 # The default value is: YES.
205
206 INHERIT_DOCS = YES
207
208 # If the SEPARATE_MEMBER_PAGES tag is set to YES, then doxygen will produce a
209 # new page for each member. If set to NO, the documentation of a member will be
210 # part of the file/class/namespace that contains it.
211 # The default value is: NO.
212
213 SEPARATE_MEMBER_PAGES = NO
214
215 # The TAB_SIZE tag can be used to set the number of spaces in a tab. Doxygen
216 # uses this value to replace tabs by spaces in code fragments.
217 # Minimum value: 1, maximum value: 16, default value: 4.
218
219 TAB_SIZE = 8
220
221 # This tag can be used to specify a number of aliases that act as commands in
222 # the documentation. An alias has the form:
223 # name=value
224 # For example adding
225 # "sideeffect=@par Side Effects:\n"
226 # will allow you to put the command \sideeffect (or @sideeffect) in the
227 # documentation, which will result in a user-defined paragraph with heading
228 # "Side Effects:". You can put \n's in the value part of an alias to insert
229 # newlines.
230
231 ALIASES =
232
233 # This tag can be used to specify a number of word-keyword mappings (TCL only).
234 # A mapping has the form "name=value". For example adding "class=itcl::class"
235 # will allow you to use the command class in the itcl::class meaning.
236
237 TCL_SUBST =
238
239 # Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources
240 # only. Doxygen will then generate output that is more tailored for C. For
241 # instance, some of the names that are used will be different. The list of all
242 # members will be omitted, etc.
243 # The default value is: NO.
244
245 OPTIMIZE_OUTPUT_FOR_C = NO
246
247 # Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java or
248 # Python sources only. Doxygen will then generate output that is more tailored
249 # for that language. For instance, namespaces will be presented as packages,
250 # qualified scopes will look different, etc.
251 # The default value is: NO.
252
253 OPTIMIZE_OUTPUT_JAVA = NO
254
255 # Set the OPTIMIZE_FOR_FORTRAN tag to YES if your project consists of Fortran
256 # sources. Doxygen will then generate output that is tailored for Fortran.
257 # The default value is: NO.
258
259 OPTIMIZE_FOR_FORTRAN = NO
260
261 # Set the OPTIMIZE_OUTPUT_VHDL tag to YES if your project consists of VHDL
262 # sources. Doxygen will then generate output that is tailored for VHDL.
263 # The default value is: NO.
264
265 OPTIMIZE_OUTPUT_VHDL = NO
266
267 # Doxygen selects the parser to use depending on the extension of the files it
268 # parses. With this tag you can assign which parser to use for a given
269 # extension. Doxygen has a built-in mapping, but you can override or extend it
270 # using this tag. The format is ext=language, where ext is a file extension, and
271 # language is one of the parsers supported by doxygen: IDL, Java, Javascript,
272 # C#, C, C++, D, PHP, Objective-C, Python, Fortran, VHDL. For instance to make
273 # doxygen treat .inc files as Fortran files (default is PHP), and .f files as C
274 # (default is Fortran), use: inc=Fortran f=C.
275 #
276 # Note For files without extension you can use no_extension as a placeholder.
277 #
278 # Note that for custom extensions you also need to set FILE_PATTERNS otherwise
279 # the files are not read by doxygen.
280
281 EXTENSION_MAPPING =
282
283 # If the MARKDOWN_SUPPORT tag is enabled then doxygen pre-processes all comments
284 # according to the Markdown format, which allows for more readable
285 # documentation. See http://daringfireball.net/projects/markdown/ for details.
286 # The output of markdown processing is further processed by doxygen, so you can
287 # mix doxygen, HTML, and XML commands with Markdown formatting. Disable only in
288 # case of backward compatibilities issues.
289 # The default value is: YES.
290
291 MARKDOWN_SUPPORT = YES
292
293 # When enabled doxygen tries to link words that correspond to documented
294 # classes, or namespaces to their corresponding documentation. Such a link can
295 # be prevented in individual cases by by putting a % sign in front of the word
296 # or globally by setting AUTOLINK_SUPPORT to NO.
297 # The default value is: YES.
298
299 AUTOLINK_SUPPORT = YES
300
301 # If you use STL classes (i.e. std::string, std::vector, etc.) but do not want
302 # to include (a tag file for) the STL sources as input, then you should set this
303 # tag to YES in order to let doxygen match functions declarations and
304 # definitions whose arguments contain STL classes (e.g. func(std::string);
305 # versus func(std::string) {}). This also make the inheritance and collaboration
306 # diagrams that involve STL classes more complete and accurate.
307 # The default value is: NO.
308
309 BUILTIN_STL_SUPPORT = NO
310
311 # If you use Microsoft's C++/CLI language, you should set this option to YES to
312 # enable parsing support.
313 # The default value is: NO.
314
315 CPP_CLI_SUPPORT = NO
316
317 # Set the SIP_SUPPORT tag to YES if your project consists of sip (see:
318 # http://www.riverbankcomputing.co.uk/software/sip/intro) sources only. Doxygen
319 # will parse them like normal C++ but will assume all classes use public instead
320 # of private inheritance when no explicit protection keyword is present.
321 # The default value is: NO.
322
323 SIP_SUPPORT = NO
324
325 # For Microsoft's IDL there are propget and propput attributes to indicate
326 # getter and setter methods for a property. Setting this option to YES will make
327 # doxygen to replace the get and set methods by a property in the documentation.
328 # This will only work if the methods are indeed getting or setting a simple
329 # type. If this is not the case, or you want to show the methods anyway, you
330 # should set this option to NO.
331 # The default value is: YES.
332
333 IDL_PROPERTY_SUPPORT = YES
334
335 # If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC
336 # tag is set to YES, then doxygen will reuse the documentation of the first
337 # member in the group (if any) for the other members of the group. By default
338 # all members of a group must be documented explicitly.
339 # The default value is: NO.
340
341 DISTRIBUTE_GROUP_DOC = NO
342
343 # Set the SUBGROUPING tag to YES to allow class member groups of the same type
344 # (for instance a group of public functions) to be put as a subgroup of that
345 # type (e.g. under the Public Functions section). Set it to NO to prevent
346 # subgrouping. Alternatively, this can be done per class using the
347 # \nosubgrouping command.
348 # The default value is: YES.
349
350 SUBGROUPING = NO
351
352 # When the INLINE_GROUPED_CLASSES tag is set to YES, classes, structs and unions
353 # are shown inside the group in which they are included (e.g. using \ingroup)
354 # instead of on a separate page (for HTML and Man pages) or section (for LaTeX
355 # and RTF).
356 #
357 # Note that this feature does not work in combination with
358 # SEPARATE_MEMBER_PAGES.
359 # The default value is: NO.
360
361 INLINE_GROUPED_CLASSES = NO
362
363 # When the INLINE_SIMPLE_STRUCTS tag is set to YES, structs, classes, and unions
364 # with only public data fields or simple typedef fields will be shown inline in
365 # the documentation of the scope in which they are defined (i.e. file,
366 # namespace, or group documentation), provided this scope is documented. If set
367 # to NO, structs, classes, and unions are shown on a separate page (for HTML and
368 # Man pages) or section (for LaTeX and RTF).
369 # The default value is: NO.
370
371 INLINE_SIMPLE_STRUCTS = NO
372
373 # When TYPEDEF_HIDES_STRUCT tag is enabled, a typedef of a struct, union, or
374 # enum is documented as struct, union, or enum with the name of the typedef. So
375 # typedef struct TypeS {} TypeT, will appear in the documentation as a struct
376 # with name TypeT. When disabled the typedef will appear as a member of a file,
377 # namespace, or class. And the struct will be named TypeS. This can typically be
378 # useful for C code in case the coding convention dictates that all compound
379 # types are typedef'ed and only the typedef is referenced, never the tag name.
380 # The default value is: NO.
381
382 TYPEDEF_HIDES_STRUCT = NO
383
384 # The size of the symbol lookup cache can be set using LOOKUP_CACHE_SIZE. This
385 # cache is used to resolve symbols given their name and scope. Since this can be
386 # an expensive process and often the same symbol appears multiple times in the
387 # code, doxygen keeps a cache of pre-resolved symbols. If the cache is too small
388 # doxygen will become slower. If the cache is too large, memory is wasted. The
389 # cache size is given by this formula: 2^(16+LOOKUP_CACHE_SIZE). The valid range
390 # is 0..9, the default is 0, corresponding to a cache size of 2^16=65536
391 # symbols. At the end of a run doxygen will report the cache usage and suggest
392 # the optimal cache size from a speed point of view.
393 # Minimum value: 0, maximum value: 9, default value: 0.
394
395 LOOKUP_CACHE_SIZE = 0
396
397 #---------------------------------------------------------------------------
398 # Build related configuration options
399 #---------------------------------------------------------------------------
400
401 # If the EXTRACT_ALL tag is set to YES doxygen will assume all entities in
402 # documentation are documented, even if no documentation was available. Private
403 # class members and static file members will be hidden unless the
404 # EXTRACT_PRIVATE respectively EXTRACT_STATIC tags are set to YES.
405 # Note: This will also disable the warnings about undocumented members that are
406 # normally produced when WARNINGS is set to YES.
407 # The default value is: NO.
408
409 EXTRACT_ALL = NO
410
411 # If the EXTRACT_PRIVATE tag is set to YES all private members of a class will
412 # be included in the documentation.
413 # The default value is: NO.
414
415 EXTRACT_PRIVATE = NO
416
417 # If the EXTRACT_PACKAGE tag is set to YES all members with package or internal
418 # scope will be included in the documentation.
419 # The default value is: NO.
420
421 EXTRACT_PACKAGE = NO
422
423 # If the EXTRACT_STATIC tag is set to YES all static members of a file will be
424 # included in the documentation.
425 # The default value is: NO.
426
427 EXTRACT_STATIC = YES
428
429 # If the EXTRACT_LOCAL_CLASSES tag is set to YES classes (and structs) defined
430 # locally in source files will be included in the documentation. If set to NO
431 # only classes defined in header files are included. Does not have any effect
432 # for Java sources.
433 # The default value is: YES.
434
435 EXTRACT_LOCAL_CLASSES = NO
436
437 # This flag is only useful for Objective-C code. When set to YES local methods,
438 # which are defined in the implementation section but not in the interface are
439 # included in the documentation. If set to NO only methods in the interface are
440 # included.
441 # The default value is: NO.
442
443 EXTRACT_LOCAL_METHODS = NO
444
445 # If this flag is set to YES, the members of anonymous namespaces will be
446 # extracted and appear in the documentation as a namespace called
447 # 'anonymous_namespace{file}', where file will be replaced with the base name of
448 # the file that contains the anonymous namespace. By default anonymous namespace
449 # are hidden.
450 # The default value is: NO.
451
452 EXTRACT_ANON_NSPACES = NO
453
454 # If the HIDE_UNDOC_MEMBERS tag is set to YES, doxygen will hide all
455 # undocumented members inside documented classes or files. If set to NO these
456 # members will be included in the various overviews, but no documentation
457 # section is generated. This option has no effect if EXTRACT_ALL is enabled.
458 # The default value is: NO.
459
460 HIDE_UNDOC_MEMBERS = YES
461
462 # If the HIDE_UNDOC_CLASSES tag is set to YES, doxygen will hide all
463 # undocumented classes that are normally visible in the class hierarchy. If set
464 # to NO these classes will be included in the various overviews. This option has
465 # no effect if EXTRACT_ALL is enabled.
466 # The default value is: NO.
467
468 HIDE_UNDOC_CLASSES = YES
469
470 # If the HIDE_FRIEND_COMPOUNDS tag is set to YES, doxygen will hide all friend
471 # (class|struct|union) declarations. If set to NO these declarations will be
472 # included in the documentation.
473 # The default value is: NO.
474
475 HIDE_FRIEND_COMPOUNDS = YES
476
477 # If the HIDE_IN_BODY_DOCS tag is set to YES, doxygen will hide any
478 # documentation blocks found inside the body of a function. If set to NO these
479 # blocks will be appended to the function's detailed documentation block.
480 # The default value is: NO.
481
482 HIDE_IN_BODY_DOCS = YES
483
484 # The INTERNAL_DOCS tag determines if documentation that is typed after a
485 # \internal command is included. If the tag is set to NO then the documentation
486 # will be excluded. Set it to YES to include the internal documentation.
487 # The default value is: NO.
488
489 INTERNAL_DOCS = NO
490
491 # If the CASE_SENSE_NAMES tag is set to NO then doxygen will only generate file
492 # names in lower-case letters. If set to YES upper-case letters are also
493 # allowed. This is useful if you have classes or files whose names only differ
494 # in case and if your file system supports case sensitive file names. Windows
495 # and Mac users are advised to set this option to NO.
496 # The default value is: system dependent.
497
498 CASE_SENSE_NAMES = YES
499
500 # If the HIDE_SCOPE_NAMES tag is set to NO then doxygen will show members with
501 # their full class and namespace scopes in the documentation. If set to YES the
502 # scope will be hidden.
503 # The default value is: NO.
504
505 HIDE_SCOPE_NAMES = YES
506
507 # If the SHOW_INCLUDE_FILES tag is set to YES then doxygen will put a list of
508 # the files that are included by a file in the documentation of that file.
509 # The default value is: YES.
510
511 SHOW_INCLUDE_FILES = NO
512
513 # If the FORCE_LOCAL_INCLUDES tag is set to YES then doxygen will list include
514 # files with double quotes in the documentation rather than with sharp brackets.
515 # The default value is: NO.
516
517 FORCE_LOCAL_INCLUDES = NO
518
519 # If the INLINE_INFO tag is set to YES then a tag [inline] is inserted in the
520 # documentation for inline members.
521 # The default value is: YES.
522
523 INLINE_INFO = NO
524
525 # If the SORT_MEMBER_DOCS tag is set to YES then doxygen will sort the
526 # (detailed) documentation of file and class members alphabetically by member
527 # name. If set to NO the members will appear in declaration order.
528 # The default value is: YES.
529
530 SORT_MEMBER_DOCS = YES
531
532 # If the SORT_BRIEF_DOCS tag is set to YES then doxygen will sort the brief
533 # descriptions of file, namespace and class members alphabetically by member
534 # name. If set to NO the members will appear in declaration order.
535 # The default value is: NO.
536
537 SORT_BRIEF_DOCS = YES
538
539 # If the SORT_MEMBERS_CTORS_1ST tag is set to YES then doxygen will sort the
540 # (brief and detailed) documentation of class members so that constructors and
541 # destructors are listed first. If set to NO the constructors will appear in the
542 # respective orders defined by SORT_BRIEF_DOCS and SORT_MEMBER_DOCS.
543 # Note: If SORT_BRIEF_DOCS is set to NO this option is ignored for sorting brief
544 # member documentation.
545 # Note: If SORT_MEMBER_DOCS is set to NO this option is ignored for sorting
546 # detailed member documentation.
547 # The default value is: NO.
548
549 SORT_MEMBERS_CTORS_1ST = NO
550
551 # If the SORT_GROUP_NAMES tag is set to YES then doxygen will sort the hierarchy
552 # of group names into alphabetical order. If set to NO the group names will
553 # appear in their defined order.
554 # The default value is: NO.
555
556 SORT_GROUP_NAMES = NO
557
558 # If the SORT_BY_SCOPE_NAME tag is set to YES, the class list will be sorted by
559 # fully-qualified names, including namespaces. If set to NO, the class list will
560 # be sorted only by class name, not including the namespace part.
561 # Note: This option is not very useful if HIDE_SCOPE_NAMES is set to YES.
562 # Note: This option applies only to the class list, not to the alphabetical
563 # list.
564 # The default value is: NO.
565
566 SORT_BY_SCOPE_NAME = YES
567
568 # If the STRICT_PROTO_MATCHING option is enabled and doxygen fails to do proper
569 # type resolution of all parameters of a function it will reject a match between
570 # the prototype and the implementation of a member function even if there is
571 # only one candidate or it is obvious which candidate to choose by doing a
572 # simple string match. By disabling STRICT_PROTO_MATCHING doxygen will still
573 # accept a match between prototype and implementation in such cases.
574 # The default value is: NO.
575
576 STRICT_PROTO_MATCHING = NO
577
578 # The GENERATE_TODOLIST tag can be used to enable ( YES) or disable ( NO) the
579 # todo list. This list is created by putting \todo commands in the
580 # documentation.
581 # The default value is: YES.
582
583 GENERATE_TODOLIST = YES
584
585 # The GENERATE_TESTLIST tag can be used to enable ( YES) or disable ( NO) the
586 # test list. This list is created by putting \test commands in the
587 # documentation.
588 # The default value is: YES.
589
590 GENERATE_TESTLIST = YES
591
592 # The GENERATE_BUGLIST tag can be used to enable ( YES) or disable ( NO) the bug
593 # list. This list is created by putting \bug commands in the documentation.
594 # The default value is: YES.
595
596 GENERATE_BUGLIST = YES
597
598 # The GENERATE_DEPRECATEDLIST tag can be used to enable ( YES) or disable ( NO)
599 # the deprecated list. This list is created by putting \deprecated commands in
600 # the documentation.
601 # The default value is: YES.
602
603 GENERATE_DEPRECATEDLIST= YES
604
605 # The ENABLED_SECTIONS tag can be used to enable conditional documentation
606 # sections, marked by \if <section_label> ... \endif and \cond <section_label>
607 # ... \endcond blocks.
608
609 ENABLED_SECTIONS =
610
611 # The MAX_INITIALIZER_LINES tag determines the maximum number of lines that the
612 # initial value of a variable or macro / define can have for it to appear in the
613 # documentation. If the initializer consists of more lines than specified here
614 # it will be hidden. Use a value of 0 to hide initializers completely. The
615 # appearance of the value of individual variables and macros / defines can be
616 # controlled using \showinitializer or \hideinitializer command in the
617 # documentation regardless of this setting.
618 # Minimum value: 0, maximum value: 10000, default value: 30.
619
620 MAX_INITIALIZER_LINES = 30
621
622 # Set the SHOW_USED_FILES tag to NO to disable the list of files generated at
623 # the bottom of the documentation of classes and structs. If set to YES the list
624 # will mention the files that were used to generate the documentation.
625 # The default value is: YES.
626
627 SHOW_USED_FILES = NO
628
629 # Set the SHOW_FILES tag to NO to disable the generation of the Files page. This
630 # will remove the Files entry from the Quick Index and from the Folder Tree View
631 # (if specified).
632 # The default value is: YES.
633
634 SHOW_FILES = YES
635
636 # Set the SHOW_NAMESPACES tag to NO to disable the generation of the Namespaces
637 # page. This will remove the Namespaces entry from the Quick Index and from the
638 # Folder Tree View (if specified).
639 # The default value is: YES.
640
641 SHOW_NAMESPACES = YES
642
643 # The FILE_VERSION_FILTER tag can be used to specify a program or script that
644 # doxygen should invoke to get the current version for each file (typically from
645 # the version control system). Doxygen will invoke the program by executing (via
646 # popen()) the command command input-file, where command is the value of the
647 # FILE_VERSION_FILTER tag, and input-file is the name of an input file provided
648 # by doxygen. Whatever the program writes to standard output is used as the file
649 # version. For an example see the documentation.
650
651 FILE_VERSION_FILTER =
652
653 # The LAYOUT_FILE tag can be used to specify a layout file which will be parsed
654 # by doxygen. The layout file controls the global structure of the generated
655 # output files in an output format independent way. To create the layout file
656 # that represents doxygen's defaults, run doxygen with the -l option. You can
657 # optionally specify a file name after the option, if omitted DoxygenLayout.xml
658 # will be used as the name of the layout file.
659 #
660 # Note that if you run doxygen from a directory containing a file called
661 # DoxygenLayout.xml, doxygen will parse it automatically even if the LAYOUT_FILE
662 # tag is left empty.
663
664 LAYOUT_FILE =
665
666 # The CITE_BIB_FILES tag can be used to specify one or more bib files containing
667 # the reference definitions. This must be a list of .bib files. The .bib
668 # extension is automatically appended if omitted. This requires the bibtex tool
669 # to be installed. See also http://en.wikipedia.org/wiki/BibTeX for more info.
670 # For LaTeX the style of the bibliography can be controlled using
671 # LATEX_BIB_STYLE. To use this feature you need bibtex and perl available in the
672 # search path. Do not use file names with spaces, bibtex cannot handle them. See
673 # also \cite for info how to create references.
674
675 CITE_BIB_FILES =
676
677 #---------------------------------------------------------------------------
678 # Configuration options related to warning and progress messages
679 #---------------------------------------------------------------------------
680
681 # The QUIET tag can be used to turn on/off the messages that are generated to
682 # standard output by doxygen. If QUIET is set to YES this implies that the
683 # messages are off.
684 # The default value is: NO.
685
686 QUIET = NO
687
688 # The WARNINGS tag can be used to turn on/off the warning messages that are
689 # generated to standard error ( stderr) by doxygen. If WARNINGS is set to YES
690 # this implies that the warnings are on.
691 #
692 # Tip: Turn warnings on while writing the documentation.
693 # The default value is: YES.
694
695 WARNINGS = YES
696
697 # If the WARN_IF_UNDOCUMENTED tag is set to YES, then doxygen will generate
698 # warnings for undocumented members. If EXTRACT_ALL is set to YES then this flag
699 # will automatically be disabled.
700 # The default value is: YES.
701
702 WARN_IF_UNDOCUMENTED = YES
703
704 # If the WARN_IF_DOC_ERROR tag is set to YES, doxygen will generate warnings for
705 # potential errors in the documentation, such as not documenting some parameters
706 # in a documented function, or documenting parameters that don't exist or using
707 # markup commands wrongly.
708 # The default value is: YES.
709
710 WARN_IF_DOC_ERROR = YES
711
712 # This WARN_NO_PARAMDOC option can be enabled to get warnings for functions that
713 # are documented, but have no documentation for their parameters or return
714 # value. If set to NO doxygen will only warn about wrong or incomplete parameter
715 # documentation, but not about the absence of documentation.
716 # The default value is: NO.
717
718 WARN_NO_PARAMDOC = NO
719
720 # The WARN_FORMAT tag determines the format of the warning messages that doxygen
721 # can produce. The string should contain the $file, $line, and $text tags, which
722 # will be replaced by the file and line number from which the warning originated
723 # and the warning text. Optionally the format may contain $version, which will
724 # be replaced by the version of the file (if it could be obtained via
725 # FILE_VERSION_FILTER)
726 # The default value is: $file:$line: $text.
727
728 WARN_FORMAT = "$file:$line: $text"
729
730 # The WARN_LOGFILE tag can be used to specify a file to which warning and error
731 # messages should be written. If left blank the output is written to standard
732 # error (stderr).
733
734 WARN_LOGFILE =
735
736 #---------------------------------------------------------------------------
737 # Configuration options related to the input files
738 #---------------------------------------------------------------------------
739
740 # The INPUT tag is used to specify the files and/or directories that contain
741 # documented source files. You may enter file names like myfile.cpp or
742 # directories like /usr/src/myproject. Separate the files or directories with
743 # spaces.
744 # Note: If this tag is empty the current directory is searched.
745
746 INPUT = ../glm \
747 .
748
749 # This tag can be used to specify the character encoding of the source files
750 # that doxygen parses. Internally doxygen uses the UTF-8 encoding. Doxygen uses
751 # libiconv (or the iconv built into libc) for the transcoding. See the libiconv
752 # documentation (see: http://www.gnu.org/software/libiconv) for the list of
753 # possible encodings.
754 # The default value is: UTF-8.
755
756 INPUT_ENCODING = UTF-8
757
758 # If the value of the INPUT tag contains directories, you can use the
759 # FILE_PATTERNS tag to specify one or more wildcard patterns (like *.cpp and
760 # *.h) to filter out the source-files in the directories. If left blank the
761 # following patterns are tested:*.c, *.cc, *.cxx, *.cpp, *.c++, *.java, *.ii,
762 # *.ixx, *.ipp, *.i++, *.inl, *.idl, *.ddl, *.odl, *.h, *.hh, *.hxx, *.hpp,
763 # *.h++, *.cs, *.d, *.php, *.php4, *.php5, *.phtml, *.inc, *.m, *.markdown,
764 # *.md, *.mm, *.dox, *.py, *.f90, *.f, *.for, *.tcl, *.vhd, *.vhdl, *.ucf,
765 # *.qsf, *.as and *.js.
766
767 FILE_PATTERNS = *.hpp \
768 *.doxy
769
770 # The RECURSIVE tag can be used to specify whether or not subdirectories should
771 # be searched for input files as well.
772 # The default value is: NO.
773
774 RECURSIVE = YES
775
776 # The EXCLUDE tag can be used to specify files and/or directories that should be
777 # excluded from the INPUT source files. This way you can easily exclude a
778 # subdirectory from a directory tree whose root is specified with the INPUT tag.
779 #
780 # Note that relative paths are relative to the directory from which doxygen is
781 # run.
782
783 EXCLUDE =
784
785 # The EXCLUDE_SYMLINKS tag can be used to select whether or not files or
786 # directories that are symbolic links (a Unix file system feature) are excluded
787 # from the input.
788 # The default value is: NO.
789
790 EXCLUDE_SYMLINKS = NO
791
792 # If the value of the INPUT tag contains directories, you can use the
793 # EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude
794 # certain files from those directories.
795 #
796 # Note that the wildcards are matched against the file with absolute path, so to
797 # exclude all test directories for example use the pattern */test/*
798
799 EXCLUDE_PATTERNS =
800
801 # The EXCLUDE_SYMBOLS tag can be used to specify one or more symbol names
802 # (namespaces, classes, functions, etc.) that should be excluded from the
803 # output. The symbol name can be a fully qualified name, a word, or if the
804 # wildcard * is used, a substring. Examples: ANamespace, AClass,
805 # AClass::ANamespace, ANamespace::*Test
806 #
807 # Note that the wildcards are matched against the file with absolute path, so to
808 # exclude all test directories use the pattern */test/*
809
810 EXCLUDE_SYMBOLS =
811
812 # The EXAMPLE_PATH tag can be used to specify one or more files or directories
813 # that contain example code fragments that are included (see the \include
814 # command).
815
816 EXAMPLE_PATH =
817
818 # If the value of the EXAMPLE_PATH tag contains directories, you can use the
819 # EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp and
820 # *.h) to filter out the source-files in the directories. If left blank all
821 # files are included.
822
823 EXAMPLE_PATTERNS = *
824
825 # If the EXAMPLE_RECURSIVE tag is set to YES then subdirectories will be
826 # searched for input files to be used with the \include or \dontinclude commands
827 # irrespective of the value of the RECURSIVE tag.
828 # The default value is: NO.
829
830 EXAMPLE_RECURSIVE = NO
831
832 # The IMAGE_PATH tag can be used to specify one or more files or directories
833 # that contain images that are to be included in the documentation (see the
834 # \image command).
835
836 IMAGE_PATH =
837
838 # The INPUT_FILTER tag can be used to specify a program that doxygen should
839 # invoke to filter for each input file. Doxygen will invoke the filter program
840 # by executing (via popen()) the command:
841 #
842 # <filter> <input-file>
843 #
844 # where <filter> is the value of the INPUT_FILTER tag, and <input-file> is the
845 # name of an input file. Doxygen will then use the output that the filter
846 # program writes to standard output. If FILTER_PATTERNS is specified, this tag
847 # will be ignored.
848 #
849 # Note that the filter must not add or remove lines; it is applied before the
850 # code is scanned, but not when the output code is generated. If lines are added
851 # or removed, the anchors will not be placed correctly.
852
853 INPUT_FILTER =
854
855 # The FILTER_PATTERNS tag can be used to specify filters on a per file pattern
856 # basis. Doxygen will compare the file name with each pattern and apply the
857 # filter if there is a match. The filters are a list of the form: pattern=filter
858 # (like *.cpp=my_cpp_filter). See INPUT_FILTER for further information on how
859 # filters are used. If the FILTER_PATTERNS tag is empty or if none of the
860 # patterns match the file name, INPUT_FILTER is applied.
861
862 FILTER_PATTERNS =
863
864 # If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using
865 # INPUT_FILTER ) will also be used to filter the input files that are used for
866 # producing the source files to browse (i.e. when SOURCE_BROWSER is set to YES).
867 # The default value is: NO.
868
869 FILTER_SOURCE_FILES = NO
870
871 # The FILTER_SOURCE_PATTERNS tag can be used to specify source filters per file
872 # pattern. A pattern will override the setting for FILTER_PATTERN (if any) and
873 # it is also possible to disable source filtering for a specific pattern using
874 # *.ext= (so without naming a filter).
875 # This tag requires that the tag FILTER_SOURCE_FILES is set to YES.
876
877 FILTER_SOURCE_PATTERNS =
878
879 # If the USE_MDFILE_AS_MAINPAGE tag refers to the name of a markdown file that
880 # is part of the input, its contents will be placed on the main page
881 # (index.html). This can be useful if you have a project on for instance GitHub
882 # and want to reuse the introduction page also for the doxygen output.
883
884 USE_MDFILE_AS_MAINPAGE =
885
886 #---------------------------------------------------------------------------
887 # Configuration options related to source browsing
888 #---------------------------------------------------------------------------
889
890 # If the SOURCE_BROWSER tag is set to YES then a list of source files will be
891 # generated. Documented entities will be cross-referenced with these sources.
892 #
893 # Note: To get rid of all source code in the generated output, make sure that
894 # also VERBATIM_HEADERS is set to NO.
895 # The default value is: NO.
896
897 SOURCE_BROWSER = YES
898
899 # Setting the INLINE_SOURCES tag to YES will include the body of functions,
900 # classes and enums directly into the documentation.
901 # The default value is: NO.
902
903 INLINE_SOURCES = NO
904
905 # Setting the STRIP_CODE_COMMENTS tag to YES will instruct doxygen to hide any
906 # special comment blocks from generated source code fragments. Normal C, C++ and
907 # Fortran comments will always remain visible.
908 # The default value is: YES.
909
910 STRIP_CODE_COMMENTS = YES
911
912 # If the REFERENCED_BY_RELATION tag is set to YES then for each documented
913 # function all documented functions referencing it will be listed.
914 # The default value is: NO.
915
916 REFERENCED_BY_RELATION = YES
917
918 # If the REFERENCES_RELATION tag is set to YES then for each documented function
919 # all documented entities called/used by that function will be listed.
920 # The default value is: NO.
921
922 REFERENCES_RELATION = YES
923
924 # If the REFERENCES_LINK_SOURCE tag is set to YES and SOURCE_BROWSER tag is set
925 # to YES, then the hyperlinks from functions in REFERENCES_RELATION and
926 # REFERENCED_BY_RELATION lists will link to the source code. Otherwise they will
927 # link to the documentation.
928 # The default value is: YES.
929
930 REFERENCES_LINK_SOURCE = YES
931
932 # If SOURCE_TOOLTIPS is enabled (the default) then hovering a hyperlink in the
933 # source code will show a tooltip with additional information such as prototype,
934 # brief description and links to the definition and documentation. Since this
935 # will make the HTML file larger and loading of large files a bit slower, you
936 # can opt to disable this feature.
937 # The default value is: YES.
938 # This tag requires that the tag SOURCE_BROWSER is set to YES.
939
940 SOURCE_TOOLTIPS = YES
941
942 # If the USE_HTAGS tag is set to YES then the references to source code will
943 # point to the HTML generated by the htags(1) tool instead of doxygen built-in
944 # source browser. The htags tool is part of GNU's global source tagging system
945 # (see http://www.gnu.org/software/global/global.html). You will need version
946 # 4.8.6 or higher.
947 #
948 # To use it do the following:
949 # - Install the latest version of global
950 # - Enable SOURCE_BROWSER and USE_HTAGS in the config file
951 # - Make sure the INPUT points to the root of the source tree
952 # - Run doxygen as normal
953 #
954 # Doxygen will invoke htags (and that will in turn invoke gtags), so these
955 # tools must be available from the command line (i.e. in the search path).
956 #
957 # The result: instead of the source browser generated by doxygen, the links to
958 # source code will now point to the output of htags.
959 # The default value is: NO.
960 # This tag requires that the tag SOURCE_BROWSER is set to YES.
961
962 USE_HTAGS = NO
963
964 # If the VERBATIM_HEADERS tag is set the YES then doxygen will generate a
965 # verbatim copy of the header file for each class for which an include is
966 # specified. Set to NO to disable this.
967 # See also: Section \class.
968 # The default value is: YES.
969
970 VERBATIM_HEADERS = YES
971
972 # If the CLANG_ASSISTED_PARSING tag is set to YES, then doxygen will use the
973 # clang parser (see: http://clang.llvm.org/) for more acurate parsing at the
974 # cost of reduced performance. This can be particularly helpful with template
975 # rich C++ code for which doxygen's built-in parser lacks the necessary type
976 # information.
977 # Note: The availability of this option depends on whether or not doxygen was
978 # compiled with the --with-libclang option.
979 # The default value is: NO.
980
981 CLANG_ASSISTED_PARSING = NO
982
983 # If clang assisted parsing is enabled you can provide the compiler with command
984 # line options that you would normally use when invoking the compiler. Note that
985 # the include paths will already be set by doxygen for the files and directories
986 # specified with INPUT and INCLUDE_PATH.
987 # This tag requires that the tag CLANG_ASSISTED_PARSING is set to YES.
988
989 CLANG_OPTIONS =
990
991 #---------------------------------------------------------------------------
992 # Configuration options related to the alphabetical class index
993 #---------------------------------------------------------------------------
994
995 # If the ALPHABETICAL_INDEX tag is set to YES, an alphabetical index of all
996 # compounds will be generated. Enable this if the project contains a lot of
997 # classes, structs, unions or interfaces.
998 # The default value is: YES.
999
1000 ALPHABETICAL_INDEX = NO
1001
1002 # The COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns in
1003 # which the alphabetical index list will be split.
1004 # Minimum value: 1, maximum value: 20, default value: 5.
1005 # This tag requires that the tag ALPHABETICAL_INDEX is set to YES.
1006
1007 COLS_IN_ALPHA_INDEX = 5
1008
1009 # In case all classes in a project start with a common prefix, all classes will
1010 # be put under the same header in the alphabetical index. The IGNORE_PREFIX tag
1011 # can be used to specify a prefix (or a list of prefixes) that should be ignored
1012 # while generating the index headers.
1013 # This tag requires that the tag ALPHABETICAL_INDEX is set to YES.
1014
1015 IGNORE_PREFIX =
1016
1017 #---------------------------------------------------------------------------
1018 # Configuration options related to the HTML output
1019 #---------------------------------------------------------------------------
1020
1021 # If the GENERATE_HTML tag is set to YES doxygen will generate HTML output
1022 # The default value is: YES.
1023
1024 GENERATE_HTML = YES
1025
1026 # The HTML_OUTPUT tag is used to specify where the HTML docs will be put. If a
1027 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1028 # it.
1029 # The default directory is: html.
1030 # This tag requires that the tag GENERATE_HTML is set to YES.
1031
1032 HTML_OUTPUT = html
1033
1034 # The HTML_FILE_EXTENSION tag can be used to specify the file extension for each
1035 # generated HTML page (for example: .htm, .php, .asp).
1036 # The default value is: .html.
1037 # This tag requires that the tag GENERATE_HTML is set to YES.
1038
1039 HTML_FILE_EXTENSION = .html
1040
1041 # The HTML_HEADER tag can be used to specify a user-defined HTML header file for
1042 # each generated HTML page. If the tag is left blank doxygen will generate a
1043 # standard header.
1044 #
1045 # To get valid HTML the header file that includes any scripts and style sheets
1046 # that doxygen needs, which is dependent on the configuration options used (e.g.
1047 # the setting GENERATE_TREEVIEW). It is highly recommended to start with a
1048 # default header using
1049 # doxygen -w html new_header.html new_footer.html new_stylesheet.css
1050 # YourConfigFile
1051 # and then modify the file new_header.html. See also section "Doxygen usage"
1052 # for information on how to generate the default header that doxygen normally
1053 # uses.
1054 # Note: The header is subject to change so you typically have to regenerate the
1055 # default header when upgrading to a newer version of doxygen. For a description
1056 # of the possible markers and block names see the documentation.
1057 # This tag requires that the tag GENERATE_HTML is set to YES.
1058
1059 HTML_HEADER =
1060
1061 # The HTML_FOOTER tag can be used to specify a user-defined HTML footer for each
1062 # generated HTML page. If the tag is left blank doxygen will generate a standard
1063 # footer. See HTML_HEADER for more information on how to generate a default
1064 # footer and what special commands can be used inside the footer. See also
1065 # section "Doxygen usage" for information on how to generate the default footer
1066 # that doxygen normally uses.
1067 # This tag requires that the tag GENERATE_HTML is set to YES.
1068
1069 HTML_FOOTER =
1070
1071 # The HTML_STYLESHEET tag can be used to specify a user-defined cascading style
1072 # sheet that is used by each HTML page. It can be used to fine-tune the look of
1073 # the HTML output. If left blank doxygen will generate a default style sheet.
1074 # See also section "Doxygen usage" for information on how to generate the style
1075 # sheet that doxygen normally uses.
1076 # Note: It is recommended to use HTML_EXTRA_STYLESHEET instead of this tag, as
1077 # it is more robust and this tag (HTML_STYLESHEET) will in the future become
1078 # obsolete.
1079 # This tag requires that the tag GENERATE_HTML is set to YES.
1080
1081 HTML_STYLESHEET =
1082
1083 # The HTML_EXTRA_STYLESHEET tag can be used to specify an additional user-
1084 # defined cascading style sheet that is included after the standard style sheets
1085 # created by doxygen. Using this option one can overrule certain style aspects.
1086 # This is preferred over using HTML_STYLESHEET since it does not replace the
1087 # standard style sheet and is therefor more robust against future updates.
1088 # Doxygen will copy the style sheet file to the output directory. For an example
1089 # see the documentation.
1090 # This tag requires that the tag GENERATE_HTML is set to YES.
1091
1092 HTML_EXTRA_STYLESHEET =
1093
1094 # The HTML_EXTRA_FILES tag can be used to specify one or more extra images or
1095 # other source files which should be copied to the HTML output directory. Note
1096 # that these files will be copied to the base HTML output directory. Use the
1097 # $relpath^ marker in the HTML_HEADER and/or HTML_FOOTER files to load these
1098 # files. In the HTML_STYLESHEET file, use the file name only. Also note that the
1099 # files will be copied as-is; there are no commands or markers available.
1100 # This tag requires that the tag GENERATE_HTML is set to YES.
1101
1102 HTML_EXTRA_FILES =
1103
1104 # The HTML_COLORSTYLE_HUE tag controls the color of the HTML output. Doxygen
1105 # will adjust the colors in the stylesheet and background images according to
1106 # this color. Hue is specified as an angle on a colorwheel, see
1107 # http://en.wikipedia.org/wiki/Hue for more information. For instance the value
1108 # 0 represents red, 60 is yellow, 120 is green, 180 is cyan, 240 is blue, 300
1109 # purple, and 360 is red again.
1110 # Minimum value: 0, maximum value: 359, default value: 220.
1111 # This tag requires that the tag GENERATE_HTML is set to YES.
1112
1113 HTML_COLORSTYLE_HUE = 220
1114
1115 # The HTML_COLORSTYLE_SAT tag controls the purity (or saturation) of the colors
1116 # in the HTML output. For a value of 0 the output will use grayscales only. A
1117 # value of 255 will produce the most vivid colors.
1118 # Minimum value: 0, maximum value: 255, default value: 100.
1119 # This tag requires that the tag GENERATE_HTML is set to YES.
1120
1121 HTML_COLORSTYLE_SAT = 100
1122
1123 # The HTML_COLORSTYLE_GAMMA tag controls the gamma correction applied to the
1124 # luminance component of the colors in the HTML output. Values below 100
1125 # gradually make the output lighter, whereas values above 100 make the output
1126 # darker. The value divided by 100 is the actual gamma applied, so 80 represents
1127 # a gamma of 0.8, The value 220 represents a gamma of 2.2, and 100 does not
1128 # change the gamma.
1129 # Minimum value: 40, maximum value: 240, default value: 80.
1130 # This tag requires that the tag GENERATE_HTML is set to YES.
1131
1132 HTML_COLORSTYLE_GAMMA = 80
1133
1134 # If the HTML_TIMESTAMP tag is set to YES then the footer of each generated HTML
1135 # page will contain the date and time when the page was generated. Setting this
1136 # to NO can help when comparing the output of multiple runs.
1137 # The default value is: YES.
1138 # This tag requires that the tag GENERATE_HTML is set to YES.
1139
1140 HTML_TIMESTAMP = NO
1141
1142 # If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML
1143 # documentation will contain sections that can be hidden and shown after the
1144 # page has loaded.
1145 # The default value is: NO.
1146 # This tag requires that the tag GENERATE_HTML is set to YES.
1147
1148 HTML_DYNAMIC_SECTIONS = NO
1149
1150 # With HTML_INDEX_NUM_ENTRIES one can control the preferred number of entries
1151 # shown in the various tree structured indices initially; the user can expand
1152 # and collapse entries dynamically later on. Doxygen will expand the tree to
1153 # such a level that at most the specified number of entries are visible (unless
1154 # a fully collapsed tree already exceeds this amount). So setting the number of
1155 # entries 1 will produce a full collapsed tree by default. 0 is a special value
1156 # representing an infinite number of entries and will result in a full expanded
1157 # tree by default.
1158 # Minimum value: 0, maximum value: 9999, default value: 100.
1159 # This tag requires that the tag GENERATE_HTML is set to YES.
1160
1161 HTML_INDEX_NUM_ENTRIES = 100
1162
1163 # If the GENERATE_DOCSET tag is set to YES, additional index files will be
1164 # generated that can be used as input for Apple's Xcode 3 integrated development
1165 # environment (see: http://developer.apple.com/tools/xcode/), introduced with
1166 # OSX 10.5 (Leopard). To create a documentation set, doxygen will generate a
1167 # Makefile in the HTML output directory. Running make will produce the docset in
1168 # that directory and running make install will install the docset in
1169 # ~/Library/Developer/Shared/Documentation/DocSets so that Xcode will find it at
1170 # startup. See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html
1171 # for more information.
1172 # The default value is: NO.
1173 # This tag requires that the tag GENERATE_HTML is set to YES.
1174
1175 GENERATE_DOCSET = NO
1176
1177 # This tag determines the name of the docset feed. A documentation feed provides
1178 # an umbrella under which multiple documentation sets from a single provider
1179 # (such as a company or product suite) can be grouped.
1180 # The default value is: Doxygen generated docs.
1181 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1182
1183 DOCSET_FEEDNAME = "Doxygen generated docs"
1184
1185 # This tag specifies a string that should uniquely identify the documentation
1186 # set bundle. This should be a reverse domain-name style string, e.g.
1187 # com.mycompany.MyDocSet. Doxygen will append .docset to the name.
1188 # The default value is: org.doxygen.Project.
1189 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1190
1191 DOCSET_BUNDLE_ID = org.doxygen.Project
1192
1193 # The DOCSET_PUBLISHER_ID tag specifies a string that should uniquely identify
1194 # the documentation publisher. This should be a reverse domain-name style
1195 # string, e.g. com.mycompany.MyDocSet.documentation.
1196 # The default value is: org.doxygen.Publisher.
1197 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1198
1199 DOCSET_PUBLISHER_ID = org.doxygen.Publisher
1200
1201 # The DOCSET_PUBLISHER_NAME tag identifies the documentation publisher.
1202 # The default value is: Publisher.
1203 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1204
1205 DOCSET_PUBLISHER_NAME = Publisher
1206
1207 # If the GENERATE_HTMLHELP tag is set to YES then doxygen generates three
1208 # additional HTML index files: index.hhp, index.hhc, and index.hhk. The
1209 # index.hhp is a project file that can be read by Microsoft's HTML Help Workshop
1210 # (see: http://www.microsoft.com/en-us/download/details.aspx?id=21138) on
1211 # Windows.
1212 #
1213 # The HTML Help Workshop contains a compiler that can convert all HTML output
1214 # generated by doxygen into a single compiled HTML file (.chm). Compiled HTML
1215 # files are now used as the Windows 98 help format, and will replace the old
1216 # Windows help format (.hlp) on all Windows platforms in the future. Compressed
1217 # HTML files also contain an index, a table of contents, and you can search for
1218 # words in the documentation. The HTML workshop also contains a viewer for
1219 # compressed HTML files.
1220 # The default value is: NO.
1221 # This tag requires that the tag GENERATE_HTML is set to YES.
1222
1223 GENERATE_HTMLHELP = NO
1224
1225 # The CHM_FILE tag can be used to specify the file name of the resulting .chm
1226 # file. You can add a path in front of the file if the result should not be
1227 # written to the html output directory.
1228 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1229
1230 CHM_FILE =
1231
1232 # The HHC_LOCATION tag can be used to specify the location (absolute path
1233 # including file name) of the HTML help compiler ( hhc.exe). If non-empty
1234 # doxygen will try to run the HTML help compiler on the generated index.hhp.
1235 # The file has to be specified with full path.
1236 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1237
1238 HHC_LOCATION =
1239
1240 # The GENERATE_CHI flag controls if a separate .chi index file is generated (
1241 # YES) or that it should be included in the master .chm file ( NO).
1242 # The default value is: NO.
1243 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1244
1245 GENERATE_CHI = NO
1246
1247 # The CHM_INDEX_ENCODING is used to encode HtmlHelp index ( hhk), content ( hhc)
1248 # and project file content.
1249 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1250
1251 CHM_INDEX_ENCODING =
1252
1253 # The BINARY_TOC flag controls whether a binary table of contents is generated (
1254 # YES) or a normal table of contents ( NO) in the .chm file.
1255 # The default value is: NO.
1256 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1257
1258 BINARY_TOC = NO
1259
1260 # The TOC_EXPAND flag can be set to YES to add extra items for group members to
1261 # the table of contents of the HTML help documentation and to the tree view.
1262 # The default value is: NO.
1263 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1264
1265 TOC_EXPAND = NO
1266
1267 # If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and
1268 # QHP_VIRTUAL_FOLDER are set, an additional index file will be generated that
1269 # can be used as input for Qt's qhelpgenerator to generate a Qt Compressed Help
1270 # (.qch) of the generated HTML documentation.
1271 # The default value is: NO.
1272 # This tag requires that the tag GENERATE_HTML is set to YES.
1273
1274 GENERATE_QHP = NO
1275
1276 # If the QHG_LOCATION tag is specified, the QCH_FILE tag can be used to specify
1277 # the file name of the resulting .qch file. The path specified is relative to
1278 # the HTML output folder.
1279 # This tag requires that the tag GENERATE_QHP is set to YES.
1280
1281 QCH_FILE =
1282
1283 # The QHP_NAMESPACE tag specifies the namespace to use when generating Qt Help
1284 # Project output. For more information please see Qt Help Project / Namespace
1285 # (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#namespace).
1286 # The default value is: org.doxygen.Project.
1287 # This tag requires that the tag GENERATE_QHP is set to YES.
1288
1289 QHP_NAMESPACE = org.doxygen.Project
1290
1291 # The QHP_VIRTUAL_FOLDER tag specifies the namespace to use when generating Qt
1292 # Help Project output. For more information please see Qt Help Project / Virtual
1293 # Folders (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#virtual-
1294 # folders).
1295 # The default value is: doc.
1296 # This tag requires that the tag GENERATE_QHP is set to YES.
1297
1298 QHP_VIRTUAL_FOLDER = doc
1299
1300 # If the QHP_CUST_FILTER_NAME tag is set, it specifies the name of a custom
1301 # filter to add. For more information please see Qt Help Project / Custom
1302 # Filters (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#custom-
1303 # filters).
1304 # This tag requires that the tag GENERATE_QHP is set to YES.
1305
1306 QHP_CUST_FILTER_NAME =
1307
1308 # The QHP_CUST_FILTER_ATTRS tag specifies the list of the attributes of the
1309 # custom filter to add. For more information please see Qt Help Project / Custom
1310 # Filters (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#custom-
1311 # filters).
1312 # This tag requires that the tag GENERATE_QHP is set to YES.
1313
1314 QHP_CUST_FILTER_ATTRS =
1315
1316 # The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this
1317 # project's filter section matches. Qt Help Project / Filter Attributes (see:
1318 # http://qt-project.org/doc/qt-4.8/qthelpproject.html#filter-attributes).
1319 # This tag requires that the tag GENERATE_QHP is set to YES.
1320
1321 QHP_SECT_FILTER_ATTRS =
1322
1323 # The QHG_LOCATION tag can be used to specify the location of Qt's
1324 # qhelpgenerator. If non-empty doxygen will try to run qhelpgenerator on the
1325 # generated .qhp file.
1326 # This tag requires that the tag GENERATE_QHP is set to YES.
1327
1328 QHG_LOCATION =
1329
1330 # If the GENERATE_ECLIPSEHELP tag is set to YES, additional index files will be
1331 # generated, together with the HTML files, they form an Eclipse help plugin. To
1332 # install this plugin and make it available under the help contents menu in
1333 # Eclipse, the contents of the directory containing the HTML and XML files needs
1334 # to be copied into the plugins directory of eclipse. The name of the directory
1335 # within the plugins directory should be the same as the ECLIPSE_DOC_ID value.
1336 # After copying Eclipse needs to be restarted before the help appears.
1337 # The default value is: NO.
1338 # This tag requires that the tag GENERATE_HTML is set to YES.
1339
1340 GENERATE_ECLIPSEHELP = NO
1341
1342 # A unique identifier for the Eclipse help plugin. When installing the plugin
1343 # the directory name containing the HTML and XML files should also have this
1344 # name. Each documentation set should have its own identifier.
1345 # The default value is: org.doxygen.Project.
1346 # This tag requires that the tag GENERATE_ECLIPSEHELP is set to YES.
1347
1348 ECLIPSE_DOC_ID = org.doxygen.Project
1349
1350 # If you want full control over the layout of the generated HTML pages it might
1351 # be necessary to disable the index and replace it with your own. The
1352 # DISABLE_INDEX tag can be used to turn on/off the condensed index (tabs) at top
1353 # of each HTML page. A value of NO enables the index and the value YES disables
1354 # it. Since the tabs in the index contain the same information as the navigation
1355 # tree, you can set this option to YES if you also set GENERATE_TREEVIEW to YES.
1356 # The default value is: NO.
1357 # This tag requires that the tag GENERATE_HTML is set to YES.
1358
1359 DISABLE_INDEX = NO
1360
1361 # The GENERATE_TREEVIEW tag is used to specify whether a tree-like index
1362 # structure should be generated to display hierarchical information. If the tag
1363 # value is set to YES, a side panel will be generated containing a tree-like
1364 # index structure (just like the one that is generated for HTML Help). For this
1365 # to work a browser that supports JavaScript, DHTML, CSS and frames is required
1366 # (i.e. any modern browser). Windows users are probably better off using the
1367 # HTML help feature. Via custom stylesheets (see HTML_EXTRA_STYLESHEET) one can
1368 # further fine-tune the look of the index. As an example, the default style
1369 # sheet generated by doxygen has an example that shows how to put an image at
1370 # the root of the tree instead of the PROJECT_NAME. Since the tree basically has
1371 # the same information as the tab index, you could consider setting
1372 # DISABLE_INDEX to YES when enabling this option.
1373 # The default value is: NO.
1374 # This tag requires that the tag GENERATE_HTML is set to YES.
1375
1376 GENERATE_TREEVIEW = NO
1377
1378 # The ENUM_VALUES_PER_LINE tag can be used to set the number of enum values that
1379 # doxygen will group on one line in the generated HTML documentation.
1380 #
1381 # Note that a value of 0 will completely suppress the enum values from appearing
1382 # in the overview section.
1383 # Minimum value: 0, maximum value: 20, default value: 4.
1384 # This tag requires that the tag GENERATE_HTML is set to YES.
1385
1386 ENUM_VALUES_PER_LINE = 4
1387
1388 # If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be used
1389 # to set the initial width (in pixels) of the frame in which the tree is shown.
1390 # Minimum value: 0, maximum value: 1500, default value: 250.
1391 # This tag requires that the tag GENERATE_HTML is set to YES.
1392
1393 TREEVIEW_WIDTH = 250
1394
1395 # When the EXT_LINKS_IN_WINDOW option is set to YES doxygen will open links to
1396 # external symbols imported via tag files in a separate window.
1397 # The default value is: NO.
1398 # This tag requires that the tag GENERATE_HTML is set to YES.
1399
1400 EXT_LINKS_IN_WINDOW = NO
1401
1402 # Use this tag to change the font size of LaTeX formulas included as images in
1403 # the HTML documentation. When you change the font size after a successful
1404 # doxygen run you need to manually remove any form_*.png images from the HTML
1405 # output directory to force them to be regenerated.
1406 # Minimum value: 8, maximum value: 50, default value: 10.
1407 # This tag requires that the tag GENERATE_HTML is set to YES.
1408
1409 FORMULA_FONTSIZE = 10
1410
1411 # Use the FORMULA_TRANPARENT tag to determine whether or not the images
1412 # generated for formulas are transparent PNGs. Transparent PNGs are not
1413 # supported properly for IE 6.0, but are supported on all modern browsers.
1414 #
1415 # Note that when changing this option you need to delete any form_*.png files in
1416 # the HTML output directory before the changes have effect.
1417 # The default value is: YES.
1418 # This tag requires that the tag GENERATE_HTML is set to YES.
1419
1420 FORMULA_TRANSPARENT = YES
1421
1422 # Enable the USE_MATHJAX option to render LaTeX formulas using MathJax (see
1423 # http://www.mathjax.org) which uses client side Javascript for the rendering
1424 # instead of using prerendered bitmaps. Use this if you do not have LaTeX
1425 # installed or if you want to formulas look prettier in the HTML output. When
1426 # enabled you may also need to install MathJax separately and configure the path
1427 # to it using the MATHJAX_RELPATH option.
1428 # The default value is: NO.
1429 # This tag requires that the tag GENERATE_HTML is set to YES.
1430
1431 USE_MATHJAX = NO
1432
1433 # When MathJax is enabled you can set the default output format to be used for
1434 # the MathJax output. See the MathJax site (see:
1435 # http://docs.mathjax.org/en/latest/output.html) for more details.
1436 # Possible values are: HTML-CSS (which is slower, but has the best
1437 # compatibility), NativeMML (i.e. MathML) and SVG.
1438 # The default value is: HTML-CSS.
1439 # This tag requires that the tag USE_MATHJAX is set to YES.
1440
1441 MATHJAX_FORMAT = HTML-CSS
1442
1443 # When MathJax is enabled you need to specify the location relative to the HTML
1444 # output directory using the MATHJAX_RELPATH option. The destination directory
1445 # should contain the MathJax.js script. For instance, if the mathjax directory
1446 # is located at the same level as the HTML output directory, then
1447 # MATHJAX_RELPATH should be ../mathjax. The default value points to the MathJax
1448 # Content Delivery Network so you can quickly see the result without installing
1449 # MathJax. However, it is strongly recommended to install a local copy of
1450 # MathJax from http://www.mathjax.org before deployment.
1451 # The default value is: http://cdn.mathjax.org/mathjax/latest.
1452 # This tag requires that the tag USE_MATHJAX is set to YES.
1453
1454 MATHJAX_RELPATH = http://www.mathjax.org/mathjax
1455
1456 # The MATHJAX_EXTENSIONS tag can be used to specify one or more MathJax
1457 # extension names that should be enabled during MathJax rendering. For example
1458 # MATHJAX_EXTENSIONS = TeX/AMSmath TeX/AMSsymbols
1459 # This tag requires that the tag USE_MATHJAX is set to YES.
1460
1461 MATHJAX_EXTENSIONS =
1462
1463 # The MATHJAX_CODEFILE tag can be used to specify a file with javascript pieces
1464 # of code that will be used on startup of the MathJax code. See the MathJax site
1465 # (see: http://docs.mathjax.org/en/latest/output.html) for more details. For an
1466 # example see the documentation.
1467 # This tag requires that the tag USE_MATHJAX is set to YES.
1468
1469 MATHJAX_CODEFILE =
1470
1471 # When the SEARCHENGINE tag is enabled doxygen will generate a search box for
1472 # the HTML output. The underlying search engine uses javascript and DHTML and
1473 # should work on any modern browser. Note that when using HTML help
1474 # (GENERATE_HTMLHELP), Qt help (GENERATE_QHP), or docsets (GENERATE_DOCSET)
1475 # there is already a search function so this one should typically be disabled.
1476 # For large projects the javascript based search engine can be slow, then
1477 # enabling SERVER_BASED_SEARCH may provide a better solution. It is possible to
1478 # search using the keyboard; to jump to the search box use <access key> + S
1479 # (what the <access key> is depends on the OS and browser, but it is typically
1480 # <CTRL>, <ALT>/<option>, or both). Inside the search box use the <cursor down
1481 # key> to jump into the search results window, the results can be navigated
1482 # using the <cursor keys>. Press <Enter> to select an item or <escape> to cancel
1483 # the search. The filter options can be selected when the cursor is inside the
1484 # search box by pressing <Shift>+<cursor down>. Also here use the <cursor keys>
1485 # to select a filter and <Enter> or <escape> to activate or cancel the filter
1486 # option.
1487 # The default value is: YES.
1488 # This tag requires that the tag GENERATE_HTML is set to YES.
1489
1490 SEARCHENGINE = NO
1491
1492 # When the SERVER_BASED_SEARCH tag is enabled the search engine will be
1493 # implemented using a web server instead of a web client using Javascript. There
1494 # are two flavours of web server based searching depending on the
1495 # EXTERNAL_SEARCH setting. When disabled, doxygen will generate a PHP script for
1496 # searching and an index file used by the script. When EXTERNAL_SEARCH is
1497 # enabled the indexing and searching needs to be provided by external tools. See
1498 # the section "External Indexing and Searching" for details.
1499 # The default value is: NO.
1500 # This tag requires that the tag SEARCHENGINE is set to YES.
1501
1502 SERVER_BASED_SEARCH = NO
1503
1504 # When EXTERNAL_SEARCH tag is enabled doxygen will no longer generate the PHP
1505 # script for searching. Instead the search results are written to an XML file
1506 # which needs to be processed by an external indexer. Doxygen will invoke an
1507 # external search engine pointed to by the SEARCHENGINE_URL option to obtain the
1508 # search results.
1509 #
1510 # Doxygen ships with an example indexer ( doxyindexer) and search engine
1511 # (doxysearch.cgi) which are based on the open source search engine library
1512 # Xapian (see: http://xapian.org/).
1513 #
1514 # See the section "External Indexing and Searching" for details.
1515 # The default value is: NO.
1516 # This tag requires that the tag SEARCHENGINE is set to YES.
1517
1518 EXTERNAL_SEARCH = NO
1519
1520 # The SEARCHENGINE_URL should point to a search engine hosted by a web server
1521 # which will return the search results when EXTERNAL_SEARCH is enabled.
1522 #
1523 # Doxygen ships with an example indexer ( doxyindexer) and search engine
1524 # (doxysearch.cgi) which are based on the open source search engine library
1525 # Xapian (see: http://xapian.org/). See the section "External Indexing and
1526 # Searching" for details.
1527 # This tag requires that the tag SEARCHENGINE is set to YES.
1528
1529 SEARCHENGINE_URL =
1530
1531 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the unindexed
1532 # search data is written to a file for indexing by an external tool. With the
1533 # SEARCHDATA_FILE tag the name of this file can be specified.
1534 # The default file is: searchdata.xml.
1535 # This tag requires that the tag SEARCHENGINE is set to YES.
1536
1537 SEARCHDATA_FILE = searchdata.xml
1538
1539 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the
1540 # EXTERNAL_SEARCH_ID tag can be used as an identifier for the project. This is
1541 # useful in combination with EXTRA_SEARCH_MAPPINGS to search through multiple
1542 # projects and redirect the results back to the right project.
1543 # This tag requires that the tag SEARCHENGINE is set to YES.
1544
1545 EXTERNAL_SEARCH_ID =
1546
1547 # The EXTRA_SEARCH_MAPPINGS tag can be used to enable searching through doxygen
1548 # projects other than the one defined by this configuration file, but that are
1549 # all added to the same external search index. Each project needs to have a
1550 # unique id set via EXTERNAL_SEARCH_ID. The search mapping then maps the id of
1551 # to a relative location where the documentation can be found. The format is:
1552 # EXTRA_SEARCH_MAPPINGS = tagname1=loc1 tagname2=loc2 ...
1553 # This tag requires that the tag SEARCHENGINE is set to YES.
1554
1555 EXTRA_SEARCH_MAPPINGS =
1556
1557 #---------------------------------------------------------------------------
1558 # Configuration options related to the LaTeX output
1559 #---------------------------------------------------------------------------
1560
1561 # If the GENERATE_LATEX tag is set to YES doxygen will generate LaTeX output.
1562 # The default value is: YES.
1563
1564 GENERATE_LATEX = NO
1565
1566 # The LATEX_OUTPUT tag is used to specify where the LaTeX docs will be put. If a
1567 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1568 # it.
1569 # The default directory is: latex.
1570 # This tag requires that the tag GENERATE_LATEX is set to YES.
1571
1572 LATEX_OUTPUT = latex
1573
1574 # The LATEX_CMD_NAME tag can be used to specify the LaTeX command name to be
1575 # invoked.
1576 #
1577 # Note that when enabling USE_PDFLATEX this option is only used for generating
1578 # bitmaps for formulas in the HTML output, but not in the Makefile that is
1579 # written to the output directory.
1580 # The default file is: latex.
1581 # This tag requires that the tag GENERATE_LATEX is set to YES.
1582
1583 LATEX_CMD_NAME = latex
1584
1585 # The MAKEINDEX_CMD_NAME tag can be used to specify the command name to generate
1586 # index for LaTeX.
1587 # The default file is: makeindex.
1588 # This tag requires that the tag GENERATE_LATEX is set to YES.
1589
1590 MAKEINDEX_CMD_NAME = makeindex
1591
1592 # If the COMPACT_LATEX tag is set to YES doxygen generates more compact LaTeX
1593 # documents. This may be useful for small projects and may help to save some
1594 # trees in general.
1595 # The default value is: NO.
1596 # This tag requires that the tag GENERATE_LATEX is set to YES.
1597
1598 COMPACT_LATEX = NO
1599
1600 # The PAPER_TYPE tag can be used to set the paper type that is used by the
1601 # printer.
1602 # Possible values are: a4 (210 x 297 mm), letter (8.5 x 11 inches), legal (8.5 x
1603 # 14 inches) and executive (7.25 x 10.5 inches).
1604 # The default value is: a4.
1605 # This tag requires that the tag GENERATE_LATEX is set to YES.
1606
1607 PAPER_TYPE = a4wide
1608
1609 # The EXTRA_PACKAGES tag can be used to specify one or more LaTeX package names
1610 # that should be included in the LaTeX output. To get the times font for
1611 # instance you can specify
1612 # EXTRA_PACKAGES=times
1613 # If left blank no extra packages will be included.
1614 # This tag requires that the tag GENERATE_LATEX is set to YES.
1615
1616 EXTRA_PACKAGES =
1617
1618 # The LATEX_HEADER tag can be used to specify a personal LaTeX header for the
1619 # generated LaTeX document. The header should contain everything until the first
1620 # chapter. If it is left blank doxygen will generate a standard header. See
1621 # section "Doxygen usage" for information on how to let doxygen write the
1622 # default header to a separate file.
1623 #
1624 # Note: Only use a user-defined header if you know what you are doing! The
1625 # following commands have a special meaning inside the header: $title,
1626 # $datetime, $date, $doxygenversion, $projectname, $projectnumber. Doxygen will
1627 # replace them by respectively the title of the page, the current date and time,
1628 # only the current date, the version number of doxygen, the project name (see
1629 # PROJECT_NAME), or the project number (see PROJECT_NUMBER).
1630 # This tag requires that the tag GENERATE_LATEX is set to YES.
1631
1632 LATEX_HEADER =
1633
1634 # The LATEX_FOOTER tag can be used to specify a personal LaTeX footer for the
1635 # generated LaTeX document. The footer should contain everything after the last
1636 # chapter. If it is left blank doxygen will generate a standard footer.
1637 #
1638 # Note: Only use a user-defined footer if you know what you are doing!
1639 # This tag requires that the tag GENERATE_LATEX is set to YES.
1640
1641 LATEX_FOOTER =
1642
1643 # The LATEX_EXTRA_FILES tag can be used to specify one or more extra images or
1644 # other source files which should be copied to the LATEX_OUTPUT output
1645 # directory. Note that the files will be copied as-is; there are no commands or
1646 # markers available.
1647 # This tag requires that the tag GENERATE_LATEX is set to YES.
1648
1649 LATEX_EXTRA_FILES =
1650
1651 # If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated is
1652 # prepared for conversion to PDF (using ps2pdf or pdflatex). The PDF file will
1653 # contain links (just like the HTML output) instead of page references. This
1654 # makes the output suitable for online browsing using a PDF viewer.
1655 # The default value is: YES.
1656 # This tag requires that the tag GENERATE_LATEX is set to YES.
1657
1658 PDF_HYPERLINKS = NO
1659
1660 # If the LATEX_PDFLATEX tag is set to YES, doxygen will use pdflatex to generate
1661 # the PDF file directly from the LaTeX files. Set this option to YES to get a
1662 # higher quality PDF documentation.
1663 # The default value is: YES.
1664 # This tag requires that the tag GENERATE_LATEX is set to YES.
1665
1666 USE_PDFLATEX = YES
1667
1668 # If the LATEX_BATCHMODE tag is set to YES, doxygen will add the \batchmode
1669 # command to the generated LaTeX files. This will instruct LaTeX to keep running
1670 # if errors occur, instead of asking the user for help. This option is also used
1671 # when generating formulas in HTML.
1672 # The default value is: NO.
1673 # This tag requires that the tag GENERATE_LATEX is set to YES.
1674
1675 LATEX_BATCHMODE = NO
1676
1677 # If the LATEX_HIDE_INDICES tag is set to YES then doxygen will not include the
1678 # index chapters (such as File Index, Compound Index, etc.) in the output.
1679 # The default value is: NO.
1680 # This tag requires that the tag GENERATE_LATEX is set to YES.
1681
1682 LATEX_HIDE_INDICES = NO
1683
1684 # If the LATEX_SOURCE_CODE tag is set to YES then doxygen will include source
1685 # code with syntax highlighting in the LaTeX output.
1686 #
1687 # Note that which sources are shown also depends on other settings such as
1688 # SOURCE_BROWSER.
1689 # The default value is: NO.
1690 # This tag requires that the tag GENERATE_LATEX is set to YES.
1691
1692 LATEX_SOURCE_CODE = NO
1693
1694 # The LATEX_BIB_STYLE tag can be used to specify the style to use for the
1695 # bibliography, e.g. plainnat, or ieeetr. See
1696 # http://en.wikipedia.org/wiki/BibTeX and \cite for more info.
1697 # The default value is: plain.
1698 # This tag requires that the tag GENERATE_LATEX is set to YES.
1699
1700 LATEX_BIB_STYLE = plain
1701
1702 #---------------------------------------------------------------------------
1703 # Configuration options related to the RTF output
1704 #---------------------------------------------------------------------------
1705
1706 # If the GENERATE_RTF tag is set to YES doxygen will generate RTF output. The
1707 # RTF output is optimized for Word 97 and may not look too pretty with other RTF
1708 # readers/editors.
1709 # The default value is: NO.
1710
1711 GENERATE_RTF = NO
1712
1713 # The RTF_OUTPUT tag is used to specify where the RTF docs will be put. If a
1714 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1715 # it.
1716 # The default directory is: rtf.
1717 # This tag requires that the tag GENERATE_RTF is set to YES.
1718
1719 RTF_OUTPUT = glm.rtf
1720
1721 # If the COMPACT_RTF tag is set to YES doxygen generates more compact RTF
1722 # documents. This may be useful for small projects and may help to save some
1723 # trees in general.
1724 # The default value is: NO.
1725 # This tag requires that the tag GENERATE_RTF is set to YES.
1726
1727 COMPACT_RTF = NO
1728
1729 # If the RTF_HYPERLINKS tag is set to YES, the RTF that is generated will
1730 # contain hyperlink fields. The RTF file will contain links (just like the HTML
1731 # output) instead of page references. This makes the output suitable for online
1732 # browsing using Word or some other Word compatible readers that support those
1733 # fields.
1734 #
1735 # Note: WordPad (write) and others do not support links.
1736 # The default value is: NO.
1737 # This tag requires that the tag GENERATE_RTF is set to YES.
1738
1739 RTF_HYPERLINKS = YES
1740
1741 # Load stylesheet definitions from file. Syntax is similar to doxygen's config
1742 # file, i.e. a series of assignments. You only have to provide replacements,
1743 # missing definitions are set to their default value.
1744 #
1745 # See also section "Doxygen usage" for information on how to generate the
1746 # default style sheet that doxygen normally uses.
1747 # This tag requires that the tag GENERATE_RTF is set to YES.
1748
1749 RTF_STYLESHEET_FILE =
1750
1751 # Set optional variables used in the generation of an RTF document. Syntax is
1752 # similar to doxygen's config file. A template extensions file can be generated
1753 # using doxygen -e rtf extensionFile.
1754 # This tag requires that the tag GENERATE_RTF is set to YES.
1755
1756 RTF_EXTENSIONS_FILE =
1757
1758 #---------------------------------------------------------------------------
1759 # Configuration options related to the man page output
1760 #---------------------------------------------------------------------------
1761
1762 # If the GENERATE_MAN tag is set to YES doxygen will generate man pages for
1763 # classes and files.
1764 # The default value is: NO.
1765
1766 GENERATE_MAN = NO
1767
1768 # The MAN_OUTPUT tag is used to specify where the man pages will be put. If a
1769 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1770 # it. A directory man3 will be created inside the directory specified by
1771 # MAN_OUTPUT.
1772 # The default directory is: man.
1773 # This tag requires that the tag GENERATE_MAN is set to YES.
1774
1775 MAN_OUTPUT = man
1776
1777 # The MAN_EXTENSION tag determines the extension that is added to the generated
1778 # man pages. In case the manual section does not start with a number, the number
1779 # 3 is prepended. The dot (.) at the beginning of the MAN_EXTENSION tag is
1780 # optional.
1781 # The default value is: .3.
1782 # This tag requires that the tag GENERATE_MAN is set to YES.
1783
1784 MAN_EXTENSION = .3
1785
1786 # If the MAN_LINKS tag is set to YES and doxygen generates man output, then it
1787 # will generate one additional man file for each entity documented in the real
1788 # man page(s). These additional files only source the real man page, but without
1789 # them the man command would be unable to find the correct page.
1790 # The default value is: NO.
1791 # This tag requires that the tag GENERATE_MAN is set to YES.
1792
1793 MAN_LINKS = NO
1794
1795 #---------------------------------------------------------------------------
1796 # Configuration options related to the XML output
1797 #---------------------------------------------------------------------------
1798
1799 # If the GENERATE_XML tag is set to YES doxygen will generate an XML file that
1800 # captures the structure of the code including all documentation.
1801 # The default value is: NO.
1802
1803 GENERATE_XML = NO
1804
1805 # The XML_OUTPUT tag is used to specify where the XML pages will be put. If a
1806 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1807 # it.
1808 # The default directory is: xml.
1809 # This tag requires that the tag GENERATE_XML is set to YES.
1810
1811 XML_OUTPUT = xml
1812
1813 # The XML_SCHEMA tag can be used to specify a XML schema, which can be used by a
1814 # validating XML parser to check the syntax of the XML files.
1815 # This tag requires that the tag GENERATE_XML is set to YES.
1816
1817 XML_SCHEMA =
1818
1819 # The XML_DTD tag can be used to specify a XML DTD, which can be used by a
1820 # validating XML parser to check the syntax of the XML files.
1821 # This tag requires that the tag GENERATE_XML is set to YES.
1822
1823 XML_DTD =
1824
1825 # If the XML_PROGRAMLISTING tag is set to YES doxygen will dump the program
1826 # listings (including syntax highlighting and cross-referencing information) to
1827 # the XML output. Note that enabling this will significantly increase the size
1828 # of the XML output.
1829 # The default value is: YES.
1830 # This tag requires that the tag GENERATE_XML is set to YES.
1831
1832 XML_PROGRAMLISTING = YES
1833
1834 #---------------------------------------------------------------------------
1835 # Configuration options related to the DOCBOOK output
1836 #---------------------------------------------------------------------------
1837
1838 # If the GENERATE_DOCBOOK tag is set to YES doxygen will generate Docbook files
1839 # that can be used to generate PDF.
1840 # The default value is: NO.
1841
1842 GENERATE_DOCBOOK = NO
1843
1844 # The DOCBOOK_OUTPUT tag is used to specify where the Docbook pages will be put.
1845 # If a relative path is entered the value of OUTPUT_DIRECTORY will be put in
1846 # front of it.
1847 # The default directory is: docbook.
1848 # This tag requires that the tag GENERATE_DOCBOOK is set to YES.
1849
1850 DOCBOOK_OUTPUT = docbook
1851
1852 #---------------------------------------------------------------------------
1853 # Configuration options for the AutoGen Definitions output
1854 #---------------------------------------------------------------------------
1855
1856 # If the GENERATE_AUTOGEN_DEF tag is set to YES doxygen will generate an AutoGen
1857 # Definitions (see http://autogen.sf.net) file that captures the structure of
1858 # the code including all documentation. Note that this feature is still
1859 # experimental and incomplete at the moment.
1860 # The default value is: NO.
1861
1862 GENERATE_AUTOGEN_DEF = NO
1863
1864 #---------------------------------------------------------------------------
1865 # Configuration options related to the Perl module output
1866 #---------------------------------------------------------------------------
1867
1868 # If the GENERATE_PERLMOD tag is set to YES doxygen will generate a Perl module
1869 # file that captures the structure of the code including all documentation.
1870 #
1871 # Note that this feature is still experimental and incomplete at the moment.
1872 # The default value is: NO.
1873
1874 GENERATE_PERLMOD = NO
1875
1876 # If the PERLMOD_LATEX tag is set to YES doxygen will generate the necessary
1877 # Makefile rules, Perl scripts and LaTeX code to be able to generate PDF and DVI
1878 # output from the Perl module output.
1879 # The default value is: NO.
1880 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
1881
1882 PERLMOD_LATEX = NO
1883
1884 # If the PERLMOD_PRETTY tag is set to YES the Perl module output will be nicely
1885 # formatted so it can be parsed by a human reader. This is useful if you want to
1886 # understand what is going on. On the other hand, if this tag is set to NO the
1887 # size of the Perl module output will be much smaller and Perl will parse it
1888 # just the same.
1889 # The default value is: YES.
1890 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
1891
1892 PERLMOD_PRETTY = YES
1893
1894 # The names of the make variables in the generated doxyrules.make file are
1895 # prefixed with the string contained in PERLMOD_MAKEVAR_PREFIX. This is useful
1896 # so different doxyrules.make files included by the same Makefile don't
1897 # overwrite each other's variables.
1898 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
1899
1900 PERLMOD_MAKEVAR_PREFIX =
1901
1902 #---------------------------------------------------------------------------
1903 # Configuration options related to the preprocessor
1904 #---------------------------------------------------------------------------
1905
1906 # If the ENABLE_PREPROCESSING tag is set to YES doxygen will evaluate all
1907 # C-preprocessor directives found in the sources and include files.
1908 # The default value is: YES.
1909
1910 ENABLE_PREPROCESSING = YES
1911
1912 # If the MACRO_EXPANSION tag is set to YES doxygen will expand all macro names
1913 # in the source code. If set to NO only conditional compilation will be
1914 # performed. Macro expansion can be done in a controlled way by setting
1915 # EXPAND_ONLY_PREDEF to YES.
1916 # The default value is: NO.
1917 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1918
1919 MACRO_EXPANSION = NO
1920
1921 # If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES then
1922 # the macro expansion is limited to the macros specified with the PREDEFINED and
1923 # EXPAND_AS_DEFINED tags.
1924 # The default value is: NO.
1925 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1926
1927 EXPAND_ONLY_PREDEF = NO
1928
1929 # If the SEARCH_INCLUDES tag is set to YES the includes files in the
1930 # INCLUDE_PATH will be searched if a #include is found.
1931 # The default value is: YES.
1932 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1933
1934 SEARCH_INCLUDES = YES
1935
1936 # The INCLUDE_PATH tag can be used to specify one or more directories that
1937 # contain include files that are not input files but should be processed by the
1938 # preprocessor.
1939 # This tag requires that the tag SEARCH_INCLUDES is set to YES.
1940
1941 INCLUDE_PATH =
1942
1943 # You can use the INCLUDE_FILE_PATTERNS tag to specify one or more wildcard
1944 # patterns (like *.h and *.hpp) to filter out the header-files in the
1945 # directories. If left blank, the patterns specified with FILE_PATTERNS will be
1946 # used.
1947 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1948
1949 INCLUDE_FILE_PATTERNS =
1950
1951 # The PREDEFINED tag can be used to specify one or more macro names that are
1952 # defined before the preprocessor is started (similar to the -D option of e.g.
1953 # gcc). The argument of the tag is a list of macros of the form: name or
1954 # name=definition (no spaces). If the definition and the "=" are omitted, "=1"
1955 # is assumed. To prevent a macro definition from being undefined via #undef or
1956 # recursively expanded use the := operator instead of the = operator.
1957 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1958
1959 PREDEFINED =
1960
1961 # If the MACRO_EXPANSION and EXPAND_ONLY_PREDEF tags are set to YES then this
1962 # tag can be used to specify a list of macro names that should be expanded. The
1963 # macro definition that is found in the sources will be used. Use the PREDEFINED
1964 # tag if you want to use a different macro definition that overrules the
1965 # definition found in the source code.
1966 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1967
1968 EXPAND_AS_DEFINED =
1969
1970 # If the SKIP_FUNCTION_MACROS tag is set to YES then doxygen's preprocessor will
1971 # remove all refrences to function-like macros that are alone on a line, have an
1972 # all uppercase name, and do not end with a semicolon. Such function macros are
1973 # typically used for boiler-plate code, and will confuse the parser if not
1974 # removed.
1975 # The default value is: YES.
1976 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
1977
1978 SKIP_FUNCTION_MACROS = YES
1979
1980 #---------------------------------------------------------------------------
1981 # Configuration options related to external references
1982 #---------------------------------------------------------------------------
1983
1984 # The TAGFILES tag can be used to specify one or more tag files. For each tag
1985 # file the location of the external documentation should be added. The format of
1986 # a tag file without this location is as follows:
1987 # TAGFILES = file1 file2 ...
1988 # Adding location for the tag files is done as follows:
1989 # TAGFILES = file1=loc1 "file2 = loc2" ...
1990 # where loc1 and loc2 can be relative or absolute paths or URLs. See the
1991 # section "Linking to external documentation" for more information about the use
1992 # of tag files.
1993 # Note: Each tag file must have an unique name (where the name does NOT include
1994 # the path). If a tag file is not located in the directory in which doxygen is
1995 # run, you must also specify the path to the tagfile here.
1996
1997 TAGFILES =
1998
1999 # When a file name is specified after GENERATE_TAGFILE, doxygen will create a
2000 # tag file that is based on the input files it reads. See section "Linking to
2001 # external documentation" for more information about the usage of tag files.
2002
2003 GENERATE_TAGFILE =
2004
2005 # If the ALLEXTERNALS tag is set to YES all external class will be listed in the
2006 # class index. If set to NO only the inherited external classes will be listed.
2007 # The default value is: NO.
2008
2009 ALLEXTERNALS = NO
2010
2011 # If the EXTERNAL_GROUPS tag is set to YES all external groups will be listed in
2012 # the modules index. If set to NO, only the current project's groups will be
2013 # listed.
2014 # The default value is: YES.
2015
2016 EXTERNAL_GROUPS = YES
2017
2018 # If the EXTERNAL_PAGES tag is set to YES all external pages will be listed in
2019 # the related pages index. If set to NO, only the current project's pages will
2020 # be listed.
2021 # The default value is: YES.
2022
2023 EXTERNAL_PAGES = YES
2024
2025 # The PERL_PATH should be the absolute path and name of the perl script
2026 # interpreter (i.e. the result of 'which perl').
2027 # The default file (with absolute path) is: /usr/bin/perl.
2028
2029 PERL_PATH = /usr/bin/perl
2030
2031 #---------------------------------------------------------------------------
2032 # Configuration options related to the dot tool
2033 #---------------------------------------------------------------------------
2034
2035 # If the CLASS_DIAGRAMS tag is set to YES doxygen will generate a class diagram
2036 # (in HTML and LaTeX) for classes with base or super classes. Setting the tag to
2037 # NO turns the diagrams off. Note that this option also works with HAVE_DOT
2038 # disabled, but it is recommended to install and use dot, since it yields more
2039 # powerful graphs.
2040 # The default value is: YES.
2041
2042 CLASS_DIAGRAMS = YES
2043
2044 # You can define message sequence charts within doxygen comments using the \msc
2045 # command. Doxygen will then run the mscgen tool (see:
2046 # http://www.mcternan.me.uk/mscgen/)) to produce the chart and insert it in the
2047 # documentation. The MSCGEN_PATH tag allows you to specify the directory where
2048 # the mscgen tool resides. If left empty the tool is assumed to be found in the
2049 # default search path.
2050
2051 MSCGEN_PATH =
2052
2053 # If set to YES, the inheritance and collaboration graphs will hide inheritance
2054 # and usage relations if the target is undocumented or is not a class.
2055 # The default value is: YES.
2056
2057 HIDE_UNDOC_RELATIONS = YES
2058
2059 # If you set the HAVE_DOT tag to YES then doxygen will assume the dot tool is
2060 # available from the path. This tool is part of Graphviz (see:
2061 # http://www.graphviz.org/), a graph visualization toolkit from AT&T and Lucent
2062 # Bell Labs. The other options in this section have no effect if this option is
2063 # set to NO
2064 # The default value is: NO.
2065
2066 HAVE_DOT = NO
2067
2068 # The DOT_NUM_THREADS specifies the number of dot invocations doxygen is allowed
2069 # to run in parallel. When set to 0 doxygen will base this on the number of
2070 # processors available in the system. You can set it explicitly to a value
2071 # larger than 0 to get control over the balance between CPU load and processing
2072 # speed.
2073 # Minimum value: 0, maximum value: 32, default value: 0.
2074 # This tag requires that the tag HAVE_DOT is set to YES.
2075
2076 DOT_NUM_THREADS = 0
2077
2078 # When you want a differently looking font n the dot files that doxygen
2079 # generates you can specify the font name using DOT_FONTNAME. You need to make
2080 # sure dot is able to find the font, which can be done by putting it in a
2081 # standard location or by setting the DOTFONTPATH environment variable or by
2082 # setting DOT_FONTPATH to the directory containing the font.
2083 # The default value is: Helvetica.
2084 # This tag requires that the tag HAVE_DOT is set to YES.
2085
2086 DOT_FONTNAME = FreeSans
2087
2088 # The DOT_FONTSIZE tag can be used to set the size (in points) of the font of
2089 # dot graphs.
2090 # Minimum value: 4, maximum value: 24, default value: 10.
2091 # This tag requires that the tag HAVE_DOT is set to YES.
2092
2093 DOT_FONTSIZE = 10
2094
2095 # By default doxygen will tell dot to use the default font as specified with
2096 # DOT_FONTNAME. If you specify a different font using DOT_FONTNAME you can set
2097 # the path where dot can find it using this tag.
2098 # This tag requires that the tag HAVE_DOT is set to YES.
2099
2100 DOT_FONTPATH =
2101
2102 # If the CLASS_GRAPH tag is set to YES then doxygen will generate a graph for
2103 # each documented class showing the direct and indirect inheritance relations.
2104 # Setting this tag to YES will force the CLASS_DIAGRAMS tag to NO.
2105 # The default value is: YES.
2106 # This tag requires that the tag HAVE_DOT is set to YES.
2107
2108 CLASS_GRAPH = YES
2109
2110 # If the COLLABORATION_GRAPH tag is set to YES then doxygen will generate a
2111 # graph for each documented class showing the direct and indirect implementation
2112 # dependencies (inheritance, containment, and class references variables) of the
2113 # class with other documented classes.
2114 # The default value is: YES.
2115 # This tag requires that the tag HAVE_DOT is set to YES.
2116
2117 COLLABORATION_GRAPH = YES
2118
2119 # If the GROUP_GRAPHS tag is set to YES then doxygen will generate a graph for
2120 # groups, showing the direct groups dependencies.
2121 # The default value is: YES.
2122 # This tag requires that the tag HAVE_DOT is set to YES.
2123
2124 GROUP_GRAPHS = YES
2125
2126 # If the UML_LOOK tag is set to YES doxygen will generate inheritance and
2127 # collaboration diagrams in a style similar to the OMG's Unified Modeling
2128 # Language.
2129 # The default value is: NO.
2130 # This tag requires that the tag HAVE_DOT is set to YES.
2131
2132 UML_LOOK = NO
2133
2134 # If the UML_LOOK tag is enabled, the fields and methods are shown inside the
2135 # class node. If there are many fields or methods and many nodes the graph may
2136 # become too big to be useful. The UML_LIMIT_NUM_FIELDS threshold limits the
2137 # number of items for each type to make the size more manageable. Set this to 0
2138 # for no limit. Note that the threshold may be exceeded by 50% before the limit
2139 # is enforced. So when you set the threshold to 10, up to 15 fields may appear,
2140 # but if the number exceeds 15, the total amount of fields shown is limited to
2141 # 10.
2142 # Minimum value: 0, maximum value: 100, default value: 10.
2143 # This tag requires that the tag HAVE_DOT is set to YES.
2144
2145 UML_LIMIT_NUM_FIELDS = 10
2146
2147 # If the TEMPLATE_RELATIONS tag is set to YES then the inheritance and
2148 # collaboration graphs will show the relations between templates and their
2149 # instances.
2150 # The default value is: NO.
2151 # This tag requires that the tag HAVE_DOT is set to YES.
2152
2153 TEMPLATE_RELATIONS = NO
2154
2155 # If the INCLUDE_GRAPH, ENABLE_PREPROCESSING and SEARCH_INCLUDES tags are set to
2156 # YES then doxygen will generate a graph for each documented file showing the
2157 # direct and indirect include dependencies of the file with other documented
2158 # files.
2159 # The default value is: YES.
2160 # This tag requires that the tag HAVE_DOT is set to YES.
2161
2162 INCLUDE_GRAPH = YES
2163
2164 # If the INCLUDED_BY_GRAPH, ENABLE_PREPROCESSING and SEARCH_INCLUDES tags are
2165 # set to YES then doxygen will generate a graph for each documented file showing
2166 # the direct and indirect include dependencies of the file with other documented
2167 # files.
2168 # The default value is: YES.
2169 # This tag requires that the tag HAVE_DOT is set to YES.
2170
2171 INCLUDED_BY_GRAPH = YES
2172
2173 # If the CALL_GRAPH tag is set to YES then doxygen will generate a call
2174 # dependency graph for every global function or class method.
2175 #
2176 # Note that enabling this option will significantly increase the time of a run.
2177 # So in most cases it will be better to enable call graphs for selected
2178 # functions only using the \callgraph command.
2179 # The default value is: NO.
2180 # This tag requires that the tag HAVE_DOT is set to YES.
2181
2182 CALL_GRAPH = YES
2183
2184 # If the CALLER_GRAPH tag is set to YES then doxygen will generate a caller
2185 # dependency graph for every global function or class method.
2186 #
2187 # Note that enabling this option will significantly increase the time of a run.
2188 # So in most cases it will be better to enable caller graphs for selected
2189 # functions only using the \callergraph command.
2190 # The default value is: NO.
2191 # This tag requires that the tag HAVE_DOT is set to YES.
2192
2193 CALLER_GRAPH = YES
2194
2195 # If the GRAPHICAL_HIERARCHY tag is set to YES then doxygen will graphical
2196 # hierarchy of all classes instead of a textual one.
2197 # The default value is: YES.
2198 # This tag requires that the tag HAVE_DOT is set to YES.
2199
2200 GRAPHICAL_HIERARCHY = YES
2201
2202 # If the DIRECTORY_GRAPH tag is set to YES then doxygen will show the
2203 # dependencies a directory has on other directories in a graphical way. The
2204 # dependency relations are determined by the #include relations between the
2205 # files in the directories.
2206 # The default value is: YES.
2207 # This tag requires that the tag HAVE_DOT is set to YES.
2208
2209 DIRECTORY_GRAPH = YES
2210
2211 # The DOT_IMAGE_FORMAT tag can be used to set the image format of the images
2212 # generated by dot.
2213 # Note: If you choose svg you need to set HTML_FILE_EXTENSION to xhtml in order
2214 # to make the SVG files visible in IE 9+ (other browsers do not have this
2215 # requirement).
2216 # Possible values are: png, jpg, gif and svg.
2217 # The default value is: png.
2218 # This tag requires that the tag HAVE_DOT is set to YES.
2219
2220 DOT_IMAGE_FORMAT = png
2221
2222 # If DOT_IMAGE_FORMAT is set to svg, then this option can be set to YES to
2223 # enable generation of interactive SVG images that allow zooming and panning.
2224 #
2225 # Note that this requires a modern browser other than Internet Explorer. Tested
2226 # and working are Firefox, Chrome, Safari, and Opera.
2227 # Note: For IE 9+ you need to set HTML_FILE_EXTENSION to xhtml in order to make
2228 # the SVG files visible. Older versions of IE do not have SVG support.
2229 # The default value is: NO.
2230 # This tag requires that the tag HAVE_DOT is set to YES.
2231
2232 INTERACTIVE_SVG = NO
2233
2234 # The DOT_PATH tag can be used to specify the path where the dot tool can be
2235 # found. If left blank, it is assumed the dot tool can be found in the path.
2236 # This tag requires that the tag HAVE_DOT is set to YES.
2237
2238 DOT_PATH =
2239
2240 # The DOTFILE_DIRS tag can be used to specify one or more directories that
2241 # contain dot files that are included in the documentation (see the \dotfile
2242 # command).
2243 # This tag requires that the tag HAVE_DOT is set to YES.
2244
2245 DOTFILE_DIRS =
2246
2247 # The MSCFILE_DIRS tag can be used to specify one or more directories that
2248 # contain msc files that are included in the documentation (see the \mscfile
2249 # command).
2250
2251 MSCFILE_DIRS =
2252
2253 # The DOT_GRAPH_MAX_NODES tag can be used to set the maximum number of nodes
2254 # that will be shown in the graph. If the number of nodes in a graph becomes
2255 # larger than this value, doxygen will truncate the graph, which is visualized
2256 # by representing a node as a red box. Note that doxygen if the number of direct
2257 # children of the root node in a graph is already larger than
2258 # DOT_GRAPH_MAX_NODES then the graph will not be shown at all. Also note that
2259 # the size of a graph can be further restricted by MAX_DOT_GRAPH_DEPTH.
2260 # Minimum value: 0, maximum value: 10000, default value: 50.
2261 # This tag requires that the tag HAVE_DOT is set to YES.
2262
2263 DOT_GRAPH_MAX_NODES = 50
2264
2265 # The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the graphs
2266 # generated by dot. A depth value of 3 means that only nodes reachable from the
2267 # root by following a path via at most 3 edges will be shown. Nodes that lay
2268 # further from the root node will be omitted. Note that setting this option to 1
2269 # or 2 may greatly reduce the computation time needed for large code bases. Also
2270 # note that the size of a graph can be further restricted by
2271 # DOT_GRAPH_MAX_NODES. Using a depth of 0 means no depth restriction.
2272 # Minimum value: 0, maximum value: 1000, default value: 0.
2273 # This tag requires that the tag HAVE_DOT is set to YES.
2274
2275 MAX_DOT_GRAPH_DEPTH = 1000
2276
2277 # Set the DOT_TRANSPARENT tag to YES to generate images with a transparent
2278 # background. This is disabled by default, because dot on Windows does not seem
2279 # to support this out of the box.
2280 #
2281 # Warning: Depending on the platform used, enabling this option may lead to
2282 # badly anti-aliased labels on the edges of a graph (i.e. they become hard to
2283 # read).
2284 # The default value is: NO.
2285 # This tag requires that the tag HAVE_DOT is set to YES.
2286
2287 DOT_TRANSPARENT = NO
2288
2289 # Set the DOT_MULTI_TARGETS tag to YES allow dot to generate multiple output
2290 # files in one run (i.e. multiple -o and -T options on the command line). This
2291 # makes dot run faster, but since only newer versions of dot (>1.8.10) support
2292 # this, this feature is disabled by default.
2293 # The default value is: NO.
2294 # This tag requires that the tag HAVE_DOT is set to YES.
2295
2296 DOT_MULTI_TARGETS = NO
2297
2298 # If the GENERATE_LEGEND tag is set to YES doxygen will generate a legend page
2299 # explaining the meaning of the various boxes and arrows in the dot generated
2300 # graphs.
2301 # The default value is: YES.
2302 # This tag requires that the tag HAVE_DOT is set to YES.
2303
2304 GENERATE_LEGEND = YES
2305
2306 # If the DOT_CLEANUP tag is set to YES doxygen will remove the intermediate dot
2307 # files that are used to generate the various graphs.
2308 # The default value is: YES.
2309 # This tag requires that the tag HAVE_DOT is set to YES.
2310
2311 DOT_CLEANUP = YES